Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Command
Class ModeratorCommand

    java.lang.Object
      |
      +--jChatBox.Command.SystemCommand
            |
            +--jChatBox.Command.ModeratorCommand

Direct Known Subclasses:
  UserCommand

public class ModeratorCommand
extends SystemCommand

This class handles MODERATOR commands.

Constructor Summary
`ModeratorCommand()` Dummy constructor.

Method Summary
`java.lang.String` | `execute(java.lang.String todo, CommandParams request, ChatroomUser cUser)` Processes all MODERATOR commands.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModeratorCommand

    public ModeratorCommand()

  Dummy constructor.

Method Detail

### execute

    public java.lang.String execute(java.lang.String todo,
                                    CommandParams request,
                                    ChatroomUser cUser)
                             throws CommandException

  Processes all MODERATOR commands. SYSTEM and MODERATOR authorizations checked.
  OPENCHATROOM(name,subject,maxusers,history,mode,refreshlimit,refreshmodel,private,language,filtersid,moderatorlist,listenersid)
  Allowed to all moderators
  CLEARCHATROOM(id)
  Allowed to moderator's chatrooms
  CLOSECHATROOM(id)
  Allowed to moderator's chatrooms
  UPDATECHATROOM(id,subject,history,refreshlimit,refreshmodel,private,language,filtersid,moderatorlist)
  Allowed to moderator's chatrooms
  GENERATETRANSCRIPT(id,filename)
  Allowed to moderator's chatrooms
  BAN(id,username,reason)
  Allowed to moderator's chatrooms
  BANIP(id,ip,reason)
  Allowed to moderator's chatrooms
  KICKOFF(username,id)
  Allowed to moderator's chatrooms
  CLEAR(id)
  Allowed to moderator's chatrooms
  REMOVE(id,ip,reason)
  Allowed to moderator's chatrooms
  JOIN(id,user,session)
  Allowed to all moderators

  Overrides:
    `execute` in class `SystemCommand`
  Parameters:
    `todo` - action to execute
    `request` - incoming request
    `cUser` - current user
  Returns:
    message
  Throws:
    `CommandException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD